@extends('admin.layouts.app')

@section('content')
    <div class="card shadow">
        <div class="card-header bg-transparent">
            <div class="row align-items-center">
                <div class="col">
                    <h6 class="text-uppercase text-muted ls-1 mb-1">{{ $sub_header }}</h6>
                    <h2 class="mb-0">{{ $header }} Tambah</h2>
                </div>
            </div>
        </div>
        <div class="card-body">
            <form action="{{ route($route.'create_action') }}" class="form-global-handle" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <label for="start_date"> Start Date <span class="text-danger">*</span> </label>
                    <input type="text" name="start_date" value="{{ old('start_date') }}" class="form-control flat-picker-date" required id="start_date" >
                </div>
                <div class="form-group">
                    <label for="end_date"> End Date <span class="text-danger">*</span> </label>
                    <input type="text" name="end_date" value="{{ old('end_date') }}" class="form-control flat-picker-date" required id="end_date" >
                </div>
                <div class="form-group">
                    <label for="banner"> Banner <span class="text-danger">*</span> </label>
                    <input type="file" name="banner" id="" class="form-control">
                </div>
                <div class="form-group">
                    <label for="deskripsi"> Deskripsi <span class="text-danger">*</span> </label>
                    <textarea name="deskripsi" class="form-control"></textarea>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Simpan</button>
                    <a class="btn btn-default bg-back" href="{{ route($route.'index') }}">Kembali</a>
                </div>
            </form>
        </div>
    </div>
@endsection

 {{-- load JS yang lu perluin, selain itu no --}}
@push('js')
    <script src="{{ asset('assets') }}/js/blockUI.js"></script>
    <script src="{{ asset('assets') }}/js/sweetalert2.js"></script>
    <script src="{{ asset('assets') }}/js/custom.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/moment.min.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/tempusdominus-bootstrap-4.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
    <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>

    <script>
        $('.flat-picker-date').flatpickr({
            enableTime: false,
            dateFormat: "Y-m-d",
        })
    </script>
@endpush
