@extends('admin.layouts.app')

@section('content')
    <div class="card shadow">
        <div class="card-header bg-transparent">
            <div class="row align-items-center">
                <div class="col">
                    <h6 class="text-uppercase text-muted ls-1 mb-1">{{ $sub_header }}</h6>
                    <h2 class="mb-0">{{ $header }} Tambah</h2>
                </div>
            </div>
        </div>
        <div class="card-body">
            <form action="{{ route($route.'create_action') }}" class="form-global-handle" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <label for="title"> Title <span class="text-danger">*</span> </label>
                    <input type="text" name="title" value="{{ old('title') }}" class="form-control" required id="title" >
                </div>
                <div class="form-group">
                    <label for="deskripsi"> Gambar <span class="text-danger">*</span> </label>
                    <input type="file" name="gambar" id="" class="form-control">
                </div>
                <div class="form-group">
                    <label for="content"> Content <span class="text-danger">*</span> </label>
                    <textarea class="form-control summernote" name="content" id=""></textarea>
                </div>
                <div class="form-group">
                    <label for="sub_title"> Subtitle <span class="text-danger">*</span> </label>
                    <textarea class="form-control summernote" name="sub_title" id=""></textarea>
                </div>
                <div class="form-group">
                    <label for="date_publish"> Date Publish <span class="text-danger">*</span> </label>
                    <input type="text" name="date_publish" value="{{ old('date_publish') }}" class="form-control flat-picker-date" required id="date_publish" >
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Simpan</button>
                    <a class="btn btn-default bg-back" href="{{ route($route.'index') }}">Kembali</a>
                </div>
            </form>
        </div>
    </div>
@endsection

 {{-- load JS yang lu perluin, selain itu no --}}
@push('js')
    <script src="{{ asset('assets') }}/js/blockUI.js"></script>
    <script src="{{ asset('assets') }}/js/sweetalert2.js"></script>
    <script src="{{ asset('assets') }}/js/custom.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/moment.min.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/tempusdominus-bootstrap-4.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
    <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>

    <script>
        $('.summernote').summernote({
                height: 200
            });
        $('.flat-picker-date').flatpickr({
            enableTime: false,
            dateFormat: "Y-m-d",
        })
    </script>

@endpush
