@extends('admin.layouts.app')

@section('content')
   {{-- start patern --}}
    <div class="card shadow mt-2">
        <div class="card-header bg-transparent">
            <div class="row align-items-center">
                <div class="col">
                    <h6 class="text-uppercase text-muted ls-1 mb-1">{{ $sub_header }}</h6>
                    <h2 class="mb-0">{{ $header }}</h2>
                </div>
                <div class="col text-right">
                    <a href="{{ route($route.'create') }}" class="btn btn-success">Tambah</a>
                </div>
            </div>
        </div>
        <div class="card-body table-responsive">
            <table class="table align-items-center border"  id="data-table">
                <thead class="thead-light">
                    <tr>
                        <th width="5%" scope="col">No</th>
                        <th scope="col">Title</th>
                        <th scope="col">Like</th>
                        <th scope="col">Aksi</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
    {{-- end pattern- --}}

@endsection

@push('js')
    <script src="{{ asset('assets') }}/js/blockUI.js"></script>
    <script src="{{ asset('assets') }}/js/sweetalert2.js"></script>
    <script src="{{ asset('assets') }}/js/custom.js"></script>
    <script src="{{ asset('assets') }}/js/custom_datatable.js"></script>
    <script>
        $(document).ready(function () {
            var id_datatable = "#data-table";
            var url_ajax = '{!! route($route.'get_data') !!}';
            var column = [
                { data: 'DT_RowIndex', searchable: false, orderable: false, className: 'dt-center' },
                        { data: 'title', name: 'title' },
                        { data: 'count_like', name: 'count_like' },
                        { data: 'aksi', name: 'aksi' },
                    ];
           global.init_datatable(id_datatable, url_ajax, column);
        });
    </script>
@endpush
