@extends('admin.layouts.app')

@section('content')
   {{-- start patern --}}
        <div class="row">
            <div class="col-xl-12">
                <div class="card shadow">
                    <div class="card-header bg-transparent">
                        <div class="row align-items-center">
                            <div class="col">
                                <h6 class="text-uppercase text-muted ls-1 mb-1">{{ $sub_header }}</h6>
                                <h2 class="mb-0">{{ $header }}</h2>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <table class="table align-items-center border table-responsive"  id="data-table">
                            <thead class="thead-light">
                                <tr>
                                    <th width="5%" scope="col">No</th>
                                    <th scope="col">User</th>
                                    <th scope="col">Caption</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Aksi</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    {{-- end pattern- --}}

@endsection

@push('js')
    <script src="{{ asset('assets') }}/js/blockUI.js"></script>
    <script src="{{ asset('assets') }}/js/sweetalert2.js"></script>
    <script src="{{ asset('assets') }}/js/custom.js"></script>
    <script src="{{ asset('assets') }}/js/custom_datatable.js"></script>
    <script>
        $(document).ready(function () {
            var id_datatable = "#data-table";
            var url_ajax = '{!! route($route.'get_data') !!}';
            console.log(url_ajax);
            var column = [
                        { data: 'DT_RowIndex', searchable: false, orderable: false, className: 'dt-center' },
                        { data: 'user', name: 'user' },
                        { data: 'caption', name: 'caption' },
                        { data: 'is_approved', name: 'is_approved' },
                        { data: 'aksi', name: 'aksi' },
                    ];
           global.init_datatable(id_datatable, url_ajax, column);
        });
    </script>
@endpush
