@extends('admin.layouts.app')

@section('content')
    <div class="card shadow">
        <div class="card-header bg-transparent">
            <div class="row align-items-center">
                <div class="col">
                    <h6 class="text-uppercase text-muted ls-1 mb-1">{{ $sub_header }}</h6>
                    <h2 class="mb-0">{{ $header }} Tambah</h2>
                </div>
            </div>
        </div>
        <div class="card-body">
            <form action="{{ route($route.'create_action') }}" class="form-global-handle" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <label for="gambar"> Gambar <span class="text-danger">*</span> </label>
                    <input type="file" name="gambar" id="" class="form-control">
                </div>
                <div class="form-group">
                    <label for="name"> Nama Kendaraan<span class="text-danger">*</span> </label>
                    <input type="text" name="name" value="{{ old('name') }}" class="form-control" required id="name" >
                </div>
                <div class="form-group">
                    <label for="transportation_identity"> Nomor Kendaraan<span class="text-danger">*</span> </label>
                    <input type="text" name="transportation_identity" value="{{ old('transportation_identity') }}" class="form-control" required id="transportation_identity" >
                </div>
                <div class="form-group">
                    <label for="transportation_type"> Tipe Kendaraan <span class="text-danger">*</span> </label>
                    <select name="transportation_type" id="transportation_type" class="form-control">
                        <option value="motor">Sepeda Motor</option>
                        <option value="car">Mobil</option>
                        <option value="bus">Bus</option>
                        <option value="truck">Truk</option>
                    </select>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Simpan</button>
                    <a class="btn btn-default bg-back" href="{{ route($route.'index') }}">Kembali</a>
                </div>
            </form>
        </div>
    </div>
@endsection

 {{-- load JS yang lu perluin, selain itu no --}}
@push('js')
    <script src="{{ asset('assets') }}/js/blockUI.js"></script>
    <script src="{{ asset('assets') }}/js/sweetalert2.js"></script>
    <script src="{{ asset('assets') }}/js/custom.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/moment.min.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/tempusdominus-bootstrap-4.min.js"></script>
@endpush
