@extends('admin.layouts.app')

@section('content')
    <div class="card shadow">
        <div class="card-header bg-transparent">
            <div class="row align-items-center">
                <div class="col">
                    <h6 class="text-uppercase text-muted ls-1 mb-1">{{ $sub_header }}</h6>
                    <h2 class="mb-0">{{ $header }} Update</h2>
                </div>
            </div>
        </div>
        <div class="card-body">
            <form action="{{ route($route.'update_action') }}" class="form-global-handle" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <input type="hidden" name="id" value="{{ Hashids::encode($data->id) }}">
                    <label for="nama"> Nama <span class="text-danger">*</span> </label>
                    <input type="text" name="nama" value="{{ $data->nama }}" class="form-control" required id="nama" >
                </div>
                <div class="form-group">
                    <label for="type_alat_id"> Tipe Alat <span class="text-danger">*</span> </label>
                    <select name="type_alat_id" id="type_alat_id" class="global-select2 form-control" link="globalfetch" t="{{encrypt('master_type_alats')}}" s="{{encrypt('id,nama')}}">
                        <option value="{{ $data->type_alat_id }}">{{ $data->type_alat->nama }}</option>
                    </select>
                </div>
                <div class="form-group">
                    <div class="row">
                        <div class="col-md-2">
                            @php $path = Storage::url('public/images/'.$data->gambar); @endphp
                            <img src="{{$path}}" alt="..." class="img-thumbnail" style="width:100px">
                        </div>
                        <div class="col-md-10">
                            <label for="deskripsi"> Gambar (Ganti Foto)</label>
                            <input type="file" name="gambar" id="" class="form-control">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="deskripsi"> Deskripsi <span class="text-danger">*</span> </label>
                    <textarea name="deskripsi" id="" class="form-control">{{ $data->deskripsi }}</textarea>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Simpan</button>
                    <a class="btn btn-default bg-back" href="{{ route($route.'index') }}">Kembali</a>
                </div>
            </form>
        </div>
    </div>
@endsection

 {{-- load JS yang lu perluin, selain itu no --}}
@push('js')
    <script src="{{ asset('assets') }}/js/blockUI.js"></script>
    <script src="{{ asset('assets') }}/js/sweetalert2.js"></script>
    <script src="{{ asset('assets') }}/js/custom.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/moment.min.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/tempusdominus-bootstrap-4.min.js"></script>
@endpush
