@extends('admin.layouts.app')

@section('content')
    <div class="card shadow">
        <div class="card-header bg-transparent">
            <div class="row align-items-center">
                <div class="col">
                    <h6 class="text-uppercase text-muted ls-1 mb-1">{{ $sub_header }}</h6>
                    <h2 class="mb-0">{{ $header }} Update</h2>
                </div>
            </div>
        </div>
        <div class="card-body">
            <form action="{{ route($route.'update_action') }}" class="form-global-handle" method="POST" enctype="multipart/form-data">
                @csrf
                <input type="hidden" name="id" value="{{ Hashids::encode($trivia->id) }}">
                <div class="form-group">
                    <label for="title"> Pertanyaan <span class="text-danger">*</span> </label>
                    <input type="text" name="question" value="{{ $trivia->question }}" class="form-control" required id="title" >
                </div>
                <div class="form-group">
                    <div class="row">
                        <div class="col-md-2">
                            <img src="{{ asset('storage/images/trivia/'.$trivia->image) }}" alt="..." class="img-thumbnail" style="width:100px">
                        </div>
                        <div class="col-md-10">
                            <label for="deskripsi"> Gambar (Ganti Foto)</label>
                            <input type="file" name="gambar" id="" class="form-control">
                        </div>
                    </div>
                </div>
                @foreach ($trivia_answer as $item)
                <div class="form-group">
                    <label for="answer"> Jawaban {{ ($item->is_right=="t")?"(Benar)":"(Salah)" }} <span class="text-danger">*</span> </label>
                    <input type="text" name="answer[{{$item->id}}]" value="{{ $item->answer }}" class="form-control" required >
                </div>                    
                @endforeach
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Simpan</button>
                    <a class="btn btn-default bg-back" href="{{ route($route.'index') }}">Kembali</a>
                </div>
            </form>
        </div>
    </div>
@endsection

 {{-- load JS yang lu perluin, selain itu no --}}
@push('js')
    <script src="{{ asset('assets') }}/js/blockUI.js"></script>
    <script src="{{ asset('assets') }}/js/sweetalert2.js"></script>
    <script src="{{ asset('assets') }}/js/custom.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/moment.min.js"></script>
    <script src="{{ asset('assets') }}/vendor/datetimepicker/tempusdominus-bootstrap-4.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>

    <script>
        $('#summernote').summernote({
                height: 200
            });
    </script>
@endpush
