@extends('admin.layouts.app')

@section('content')
   {{-- start patern --}}
        <div class="row">
            <div class="col-xl-12">
                <div class="card shadow">
                    <div class="card-header bg-transparent">
                        <div class="row align-items-center">
                            <div class="col">
                                <h6 class="text-uppercase text-muted ls-1 mb-1">User Management | Petugas Udd</h6>
                                <h2 class="mb-0">Petugas UDD</h2>
                            </div>
                            @can('petugas_udd-create')    
                                <div class="col text-right">
                                    <a href="{{ route($route.'create') }}" class="btn btn-success">Tambah</a>
                                </div>
                            @endcan
                        </div>
                    </div>
                    <div class="card-body">
                        <table class="table align-items-center border table-responsive" id="data-table">
                            <thead class="thead-light">
                                <tr>
                                    <th width="5%" scope="col">No</th>
                                    <th scope="col">Nama</th>
                                    <th scope="col">Email</th>
                                    <th scope="col">Role</th>
                                    <th scope="col">Udd PMI</th>
                                    <th scope="col">Aksi</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    {{-- end pattern- --}}
    
@endsection

@push('js')
    <script src="{{ asset('assets') }}/js/blockUI.js"></script>
    <script src="{{ asset('assets') }}/js/sweetalert2.js"></script>
    <script src="{{ asset('assets') }}/js/custom.js"></script>
    <script src="{{ asset('assets') }}/js/custom_datatable.js"></script>
    <script>
        $(document).ready(function () {
            var id_datatable = "#data-table";
            var url_ajax = '{!! route('admin.user_management.petugas_udd.get_data') !!}';
            var column = [
                        { data: 'no', name: 'no' },
                        { data: 'nama', name: 'nama' },
                        { data: 'email', name: 'email' },
                        { data: 'roles', name: 'roles' },
                        { data: 'udd_pmi', name: 'udd_pmi' },
                        { data: 'aksi', name: 'aksi' },
                    ];
           global.init_datatable(id_datatable, url_ajax, column);
        });
    </script>
@endpush