@extends('admin.layouts.app')

@section('content')
        <div class="row px-5">
            <div class="col-xl-12">
                <div class="card shadow">
                    <div class="card-header bg-transparent">
                        <div class="row align-items-center">
                            <div class="col">
                                <h6 class="text-uppercase text-muted ls-1 mb-1">Add User Management</h6>
                                <h2 class="mb-0">Add Role Management</h2>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <form action="{{ route($route.'update_action') }}" class="form-global-handle" method="POST" enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" name="id" value="{{ Hashids::encode($data->id) }}">
                            <div class="form-group">
                                <label for="RoleName">Role Name</label>
                                <input type="text" name="name" value="{{ $data->name }}" class="form-control" id="RoleName" placeholder="Example : Admin">
                            </div>
                            <div class="form-group">
                                <label> List Permission</label>
                                <div class="row">
                                    @foreach ($permission as $key => $value)
                                        <div class="col-lg-4">
                                            <div class="card mr-2 my-2 p-3">
                                                @foreach ($value as $key_value => $value_data)
                                                    <div class="custom-control custom-control-alternative custom-checkbox mb-3">
                                                    <input class="custom-control-input" name="permission_id[]" value="{{ $value_data->id }}" id="customCheck{{$key.$key_value}}" {{ in_array($value_data->id, $data->permission) ? 'checked' : null }} type="checkbox">
                                                        <label class="custom-control-label" for="customCheck{{$key.$key_value}}">{{ $value_data->name }}</label>
                                                    </div>
                                                @endforeach
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                            <div class="group">
                                <button type="submit" class="btn btn-success">Simpan</button>
                                <a class="btn btn-default bg-back" href="{{ route($route.'index') }}">Kembali</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
@endsection

 {{-- load JS yang lu perluin, selain itu no --}}
@push('js')
    <script src="{{ asset('assets') }}/js/blockUI.js"></script>
    <script src="{{ asset('assets') }}/js/sweetalert2.js"></script>
    <script src="{{ asset('assets') }}/js/custom.js"></script>
@endpush